%define _unpackaged_files_terminate_build 0
Summary: Apache 2.4 Configuration files for AnNyung LInux
Summary(ko): 안녕리눅스 아파치2.4 설정 파일
Name: httpd-conf
Version: 2.4
Release: 2%{?dist}
Epoch: 100
License: oops.org
Group: System Environment/AnNyung
Source0: %{name}-%{version}.tar.bz2
Source1: annyung-noindex.tar.gz
BuildRoot: /var/tmp/%{name}-root
BuildArchitectures: noarch
Requires: check-utils
Provides: httpd-conf-package

%define _confdir %{_sysconfdir}/httpd
%define _sysdir %{_sysconfdir}/sysconfig
%define _initdir %{_sbindir}/init.d

%description
This package includes configuration files for AnNyung LInux apache2.

%description -l ko
이 패키지는 안녕 리눅스 아파치2의 바이너리를 제외한 설정파일들을
포함하고 있다.

%prep
%setup -cTn %{name}-%{version}

%install
[ -d %{buildroot} ] && rm -rf %{buildroot}

%{__mkdir_p} %{buildroot}
%{__tar} xvfpj %{SOURCE0} -C %{buildroot}
%{__mv} %{buildroot}/%{name}-%{version}/* %{buildroot}/
%{__rm} -rf %{buildroot}/%{name}-%{version}

%{__tar} xvfpz %{SOURCE1} -C %{buildroot}%{_datadir}/httpd/

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%post
%systemd_post httpd.service htcacheclean.service
if [ $1 = 1 ]; then
	/usr/bin/systemctl enable httpd.service >& /dev/null || :
fi
#if [ $1 = 1 ]; then
#	/sbin/chkconfig --add httpd
#	/sbin/chkconfig --level 345 httpd on
#fi

%preun
%systemd_preun httpd.service htcacheclean.service
#if [ $1 = 0 ]; then
#    /sbin/chkconfig --del httpd
#    /bin/rm -fr /var/log/httpd/*
#fi

%postun
%systemd_postun

%files
%defattr(-,root,root)
%attr(0755,root,root) %{_bindir}/*
%attr(0755,root,root) %{_sbindir}/h*
%attr(0755,root,root) %{_initdir}/*
%{_datadir}/httpd/gdb-opt.txt

%config(noreplace) %{_confdir}/conf/*.conf
%config(noreplace) %{_confdir}/conf.d/*.conf
%config(noreplace) %{_confdir}/user.d/*.conf
%config(noreplace) %{_sysdir}/*
%config(noreplace) /etc/logrotate.d/httpd
#config(noreplace) %{_confdir}/cert/*
%{_confdir}/conf.d/README
%{_confdir}/conf/magic

%{_localstatedir}/www
%attr(0755,root,root) %dir /home/httpd
%attr(0755,root,root) %dir /home/httpd/cgi-bin
%attr(0755,root,root) %dir /home/httpd/html
%attr(0755,root,root) %dir %{_datadir}/httpd/icons
%attr(0755,root,root) %dir %{_datadir}/httpd/icons/small
%attr(0755,root,root) %dir %{_datadir}/httpd/error
%attr(0755,root,root) %dir %{_datadir}/httpd/error/include
%attr(0644,root,root) %{_datadir}/httpd/icons/README
%attr(0644,root,root) %{_datadir}/httpd/icons/*.*
%attr(0644,root,root) %{_datadir}/httpd/icons/small/*.*
%attr(0644,root,root) %{_datadir}/httpd/error/README
%attr(0644,root,root) %{_datadir}/httpd/error/*.*
%attr(0644,root,root) %{_datadir}/httpd/error/include/*.*
%attr(-,root,root) %{_datadir}/httpd/noindex/
%config(noreplace) %attr(0644,root,root) /home/httpd/html/robots.txt

#attr(0755,root,root) %dir %{_localstatedir}/log/httpd
%attr(0755,root,root) %dir %{_localstatedir}/log/httpd/gdb
%dir %{_datadir}/httpd

# systemd configuration
%{_prefix}/lib/tmpfiles.d/httpd.conf
%dir %{_libexecdir}/initscripts/legacy-actions/httpd
%{_libexecdir}/initscripts/legacy-actions/httpd/*
%{_unitdir}/*.service

%changelog
* Mon Sep  7 2015 JoungKyun.Kim <http://oops.org> 100:2.4-2%{?dist}
- enhanced service file

* Sun Feb 15 2015 JoungKyun.Kim <http://oops.org> 100:2.4-1%{?dist}
- first packaged
